body {
    margin: 0;
    font-family: Arial;
}
.post-list{
    display: grid;
    /* minmax(tamaño minimo, tamaño maximo) */
    grid-template-columns: repeat(3, minmax(100px, 293px));
    justify-content: center;
    grid-gap: 28px;
}

.post {
    cursor: pointer;
    /* siempre este valor para el padre */
    position: relative;    
    display: block;
}

.post-image {
    margin: 0;
}

.post-image img{
    width: 100%;
    vertical-align: top;
}

.post-overlay {
    /* rgba (rojo verde azul transparencia) */
    background: rgba(0, 0, 0, .4);
    position: absolute;
    /* tome todo el espacio que tenga su padre o contenedor, relativa*/
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    display: none;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
}
/* cuando haga hover en .post, voy hacer que .post-overlay APAREZCA */
.post:hover .post-overlay{
    display:flex;
}

.post-like,
.post-comments {
    width: 80px;
    margin: 5px;
    font-weight: bold;
    text-align: center;
    display: inline-block;
}
/* responsive para una Ipad */
@media screen and (max-width: 768px){
    .post-list{
        grid-gap: 3px;
    }
}
